## janest-core-extended 113.00.00

=== src/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

#ifeq ($(shell uname -s), Linux)
#  LINUX_EXT_STUBS_C = linux_ext_stubs.c
#  LINUX_EXT_ML = linux_ext.mli linux_ext.ml
#	CLIBS += rt
#endif

SOURCES = \
  pp.mli \
  pp.ml \
  extended_unix.mli \
  extended_unix.ml \
  extended_string.mli \
  extended_string.ml \
  extended_sexp.mli \
  extended_sexp.ml \
  extended_result.mli \
  extended_result.ml \
  extended_option.mli \
  extended_option.ml \
  extended_list.mli \
  extended_list.ml \
  extended_linux.mli \
  extended_linux.ml \
  extended_gc.mli \
  extended_gc.ml \
  extended_float.mli \
  extended_float.ml \
  extended_filename.mli \
  extended_filename.ml \
  extended_exn.mli \
  extended_exn.ml \
  extended_array.mli \
  extended_array.ml \
  exception_check.mli \
  exception_check.ml \
  exception_sys.mli \
  exception_sys.ml \
  vector.mli \
  vector.ml \
  unix_utils.mli \
  unix_utils.ml \
  union_find.mli \
  union_find.ml \
  syslog.mli \
  syslog.ml \
  process.mli \
  process.ml \
  shell.mli \
  shell.ml \
  extended_common.mli \
  extended_common.ml \
  sendmail.mli \
  sendmail.ml \
  semaphore.mli \
  semaphore.ml \
  rw_mutex.mli \
  rw_mutex.ml \
  rmap.mli \
  rmap.ml \
  res_array.mli \
  res_array.ml \
  readline.mli \
  readline.ml \
  prompt.mli \
  prompt.ml \
  procfs.mli \
  procfs.ml \
  net_utils.mli \
  net_utils.ml \
  malloc.mli \
  malloc.ml \
  lru.mli \
  lru.ml \
  log.mli \
  log.ml \
  loggers.mli \
  loggers.ml \
  logger.mli \
  logger.ml \
  iter.mli \
  iter.ml \
  int_set.mli \
  int_set.ml \
  hashtree.mli \
  hashtree.ml \
  function.mli \
  function.ml \
  fold_table.mli \
  fold_map.mli \
  fold_map.ml \
  find.mli \
  find.ml \
  escaping.mli \
  escaping.ml \
  dispatch_arg.mli \
  dispatch_arg.ml \
  container_extended.ml \
  command.mli \
  command.ml \
  cbuffer.mli \
  cbuffer.ml \
  std.ml \
  extended_linux_stubs.c extended_unix_stubs.c malloc_stubs.c extended_sys_stubs.c syslog_stubs.c

LIB_PACK_NAME = core_extended
INCDIRS = +camlp4 .
OCAMLFLAGS = -for-pack Core_extended -annot
CFLAGS = \
  -pipe -g -fPIC -O2 -fomit-frame-pointer \
  -Wall -pedantic -Wextra -Wunused -Wno-long-long
PACKS = res sexplib bin_prot fieldslib core pcre
RESULT = core_extended
THREADS = yes
ANNOTATE = true

all: byte-code-library native-code-library

LIBINSTALL_FILES = \
  core_extended.cmi core_extended.cma core_extended.cmxa core_extended.a libcore_extended_stubs.a dllcore_extended_stubs.so

install:	libinstall
uninstall:	libuninstall

clean::	clean-doc

-include $(OCAMLMAKEFILE)

=== debian/changelog ===
janest-core-extended (113.00.00-2) unstable; urgency=medium

  * Update copyright

 -- Hilko Bengen <bengen@debian.org>  Sun, 31 Jan 2016 17:06:50 +0100

janest-core-extended (113.00.00-1) unstable; urgency=low

  * Initial release (Closes: #718236)

 -- Hilko Bengen <bengen@debian.org>  Thu, 07 Jan 2016 20:55:39 +0100

=== debian/control ===
Source: janest-core-extended
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Hilko Bengen <bengen@debian.org>,
Build-Depends:
 debhelper (>= 8),
 bc,
 ocaml-nox,
 dh-ocaml,
 camlp4,
 ocaml-findlib,
 libbin-prot-camlp4-dev,
 libcompare-camlp4-dev,
 libcore-ocaml-dev,
 libcustom-printf-camlp4-dev,
 libfields-camlp4-dev,
 libpa-bench-camlp4-dev,
 libpa-ounit-camlp4-dev,
 libpipebang-camlp4-dev,
 libpa-test-camlp4-dev,
 libtextutils-ocaml-dev,
 libre2-ocaml-dev,
 libsexplib-camlp4-dev,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/janest-core-extended.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/janest-core-extended.git
Homepage: https://github.com/janestreet/core_extended

Package: libcore-extended-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Extension to Jane Street's standard library for OCaml (development files)
 Core is an industrial-strength alternative to the OCaml standard
 library. It was developed by Jane Street, which is the largest
 industrial user of OCaml. Core_extended contains several extensions
 to the Core library.
 .
 This package contains the development stuff you need to use
 Core_extended in your programs.

Package: libcore-extended-ocaml
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Extension to Jane Street's standard library for OCaml (runtime)
 Core is an industrial-strength alternative to the OCaml standard
 library. It was developed by Jane Street, which is the largest
 industrial user of OCaml. Core_extended contains several extensions
 to the Core library.
 .
 This package contains the runtime stuff you need to run programs using
 Core_extended.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAML_DLL_DIR
export OCAML_HAVE_OCAMLOPT
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)'

override_dh_auto_build:
	ocaml setup.ml -build

override_dh_auto_test:
	ocaml setup.ml -test

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	mkdir -p '$(DESTDIR)$(OCAML_DLL_DIR)'
	ocaml setup.ml -install
	rm -f '$(DESTDIR)$(OCAML_DLL_DIR)'/*.so.owner

override_dh_auto_clean:
	ocaml setup.ml -distclean

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3

opts="uversionmangle=s/-rc/~rc/" \
    https://github.com/janestreet/core_extended/releases .*/(.*)\.tar\.gz
